# Generated by Django 2.0.13 on 2019-07-10 22:36

from django.db import migrations
from django.db.models import F


def submission_to_source(apps, schema_editor):
    Event = apps.get_model("activity", "Event")
    if Event.objects.exists():
        ContentType = apps.get_model("contenttypes", "ContentType")
        content_type = ContentType.objects.get(
            model="applicationsubmission", app_label="funds"
        )
        Event.objects.update(
            object_id=F("submission_id"),
            content_type=content_type,
        )


def source_to_submission(apps, schema_editor):
    Event = apps.get_model("activity", "Event")
    Event.objects.update(submission_id=F("object_id"))


class Migration(migrations.Migration):
    dependencies = [
        ("activity", "0031_add_generic_fk_to_event"),
        ("funds", "0065_applicationsubmission_meta_categories"),
        ("contenttypes", "0002_remove_content_type_name"),
    ]

    operations = [migrations.RunPython(submission_to_source, source_to_submission)]
