# Generated by Django 4.1.13 on 2023-11-22 10:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("contenttypes", "0002_remove_content_type_name"),
        ("auth", "0012_alter_user_first_name_max_length"),
    ]

    operations = [
        migrations.CreateModel(
            name="Task",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "code",
                    models.CharField(
                        choices=[
                            ("project_waiting_paf", "Project waiting PAF"),
                            ("project_submit_paf", "Project submit PAF"),
                            ("paf_required_changes", "PAF required changes"),
                            ("paf_waiting_assignee", "PAF waiting assignee"),
                            ("paf_waiting_approval", "PAF waiting approval"),
                            ("project_waiting_contract", "Project waiting contract"),
                            (
                                "project_waiting_contract_document",
                                "Project waiting contract document",
                            ),
                            (
                                "project_waiting_contract_review",
                                "Project waiting contract review",
                            ),
                            ("project_waiting_invoice", "Project waiting invoice"),
                            ("invoice_required_changes", "Invoice required changes"),
                            ("invoice_waiting_approval", "Invoice waiting approval"),
                            ("invoice_waiting_paid", "Invoice waiting paid"),
                            ("report_due", "Report due"),
                        ],
                        max_length=50,
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "related_object_id",
                    models.PositiveIntegerField(blank=True, null=True),
                ),
                (
                    "related_content_type",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="task_related",
                        to="contenttypes.contenttype",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="task",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "user_group",
                    models.ManyToManyField(
                        blank=True, related_name="task", to="auth.group"
                    ),
                ),
            ],
            options={
                "ordering": ("-created_at",),
            },
        ),
    ]
