# Generated by Django 2.0.9 on 2018-12-19 13:21
from __future__ import unicode_literals

from django.contrib.auth import get_user_model
from django.contrib.auth.models import Group
from django.db import migrations

from hypha.apply.users.groups import APPLICANT_GROUP_NAME


def set_group(apps, schema_editor):
    User = get_user_model()
    applicant_group = Group.objects.get(name=APPLICANT_GROUP_NAME)
    applicants = User.objects.exclude(applicationsubmission=None)
    for user in applicants:
        if not user.is_apply_staff:
            user.groups.add(applicant_group)
            user.save()


def unset_group(apps, schema_editor):
    User = get_user_model()
    applicant_group = Group.objects.get(name=APPLICANT_GROUP_NAME)
    applicants = User.objects.filter(groups__name=APPLICANT_GROUP_NAME).all()
    for user in applicants:
        user.groups.remove(applicant_group)
        user.save()


class Migration(migrations.Migration):
    dependencies = [
        ("users", "0011_add_applicant_group"),
    ]

    operations = [migrations.RunPython(set_group, unset_group)]
